Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class Dimension

    java.lang.Object
      com.amazonaws.services.autoscaling.model.Dimension

    public class Dimension

extends Object

The Dimension data type.

Constructor Summary
`Dimension()`

Method Summary
`String` | `getName()` Specifies the name of the Dimension.
`String` | `getValue()` Specifies the value of the Dimension.
`void` | `setName(String name)` Specifies the name of the Dimension.
`void` | `setValue(String value)` Specifies the value of the Dimension.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Dimension` | `withName(String name)` Specifies the name of the Dimension.
`Dimension` | `withValue(String value)` Specifies the value of the Dimension.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dimension

    public Dimension()

Method Detail

### getName

    public String getName()

  Specifies the name of the Dimension.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the name of the Dimension.

### setName

    public void setName(String name)

  Specifies the name of the Dimension.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `name` - Specifies the name of the Dimension.

### withName

    public Dimension withName(String name)

  Specifies the name of the Dimension.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `name` - Specifies the name of the Dimension.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValue

    public String getValue()

  Specifies the value of the Dimension.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the value of the Dimension.

### setValue

    public void setValue(String value)

  Specifies the value of the Dimension.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `value` - Specifies the value of the Dimension.

### withValue

    public Dimension withValue(String value)

  Specifies the value of the Dimension.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `value` - Specifies the value of the Dimension.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.